Conversation
Update a conversation
PATCH /ticket/{ticketId}/conversation/{conversationId}
PATCH /ticket/{ticketId}/conversation/{conversationId}
Update an existing conversation (internal notes and drafts can be updated; drafts can also be published by changing isDraft to false)
Path parameters
ticketIdintegerpathrequiredThe ID of the ticket
conversationIdintegerpathrequiredThe ID of the conversation to update
Request body
contentobjectbodyUpdated content
typeenumbodyContent type Options: text, html
isDraftbooleanbodyWhether this is a draft (set to false to publish a draft)
tostring[]bodyRecipients email addresses (for drafts)
ccstring[]bodyCC email addresses (for drafts)
bccstring[]bodyBCC email addresses (for drafts)
intentIdsinteger[]bodyArray of intent IDs (for drafts)
attachmentsobject[]bodyFile attachments (for drafts)
subchannelIdintegerbodySubchannel ID (for drafts)
Request Example
{
"content": {
"message": "string"
},
"type": "text",
"isDraft": true,
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"intentIds": [
1
],
"attachments": [
null
],
"subchannelId": 1
}Responses
200 — Successful operation
Response Example
{
"success": true
}400 — Bad request - Can only update internal notes or user doesn't own the note
403 — Unauthorized
404 — Ticket or conversation not found
500 — Internal error